Subject: Re: [PATCH net-next V1 0/3] net/mlx4_core: Allow setting init-time device specific parameters

From: Greg KH <[email-masked]>
Date: Thu, 12 Mar 2015 14:46:51 +0100

On Thu, Mar 12, 2015 at 02:02:05PM +0200, Or Gerlitz wrote:
> On 3/12/2015 11:00 AM, Greg KH wrote:
> >On Thu, Mar 12, 2015 at 10:07:35AM +0200, Hadar Hen Zion wrote:
> >>On Wed, Mar 11, 2015 at 7:14 PM, David Miller <[email-masked]> wrote:
> >>>From: Amir Vadai <[email-masked]>
> >>>Date: Wed, 11 Mar 2015 11:08:50 +0200
> >>>
> >>>>Also, customers are paying for a very sophisticated piece of hardware, and we would like to enable power user to tweak it in some situtations. Of course the default mode should be used in 99% of the use cases.
> >>>How much money someone pays for your hardware has nothing to do with the standards by which we design userspace interfaces to configure these devices.
> >>>
> >>>These textual interfaces are arbitrary, and you are choosing it only because you cannot come up with a more reasonable scheme,
> >>>
> >>>I'm not applying these changes.
> >>>---
> >>In previous conversations Greg suggested us to use configfs.
> >>
> >>Is this case a misuse of configfs? maybe configfs should be deprecated... Greg?
> >No, this has nothing to do with the validity of configfs, please re-read what David said to you.
> 
> Greg,
> 
> So.. M2-- reading Dave's words I understand that he's against textual
> interfacessuch as configfs and prefers others. This brings two questions to
> the table (1) do we need to deprecate these textual interfaces / configfs
> and avoid using them for configuration purposes with new code?

No, configfs works quite well for a number of other kernel subsystems,
so please leave them alone here.

> (2) does
> programmable interface such as netlink is the way to go for our purposes
> here (and elsewhere)?

I don't know, that's up to the network developers, but you had better
not abuse the firmware download inteface, that's what I strongly
objected to originally.

good luck,

greg k-h